import { get, put, post, deletes } from '@/http/index'

// 查询模型信息列表
export const getModel = async (data) => {
  return await get('/als/model/list', data)
}

// 新增模型信息
export const addModel = async (data) => {
  return await post('/als/model', data)
}

// 修改模型信息
export const updateModel = async (data) => {
  return await put('/als/model', data)
}

// 删除模型信息
export const removeModel = async (id) => {
  return await deletes('/als/model/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
